typedef struct _pcxHead   /* PCX Header Record */
{                          
   Byte  pcxManf;      /* Manufacturer ID            */
   Byte  pcxVers;      /* Version number             */
   Byte  pcxEncode;    /* Encoding method (1=RLL)    */
   Byte  pcxBits;      /* Bits-per-pixel             */
   rect  pcxWndo;      /* Window dimensions (pixels) */
   Word  pcxResX;      /* Horz resolution (dpi)      */
   Word  pcxResY;      /* Vert resolution (dpi)      */
   Byte  pcxColor[48]; /* palette information        */
   Byte  pcxRsvd;      /*   (reserved)               */
   Byte  pcxPlanes;    /* Planes-per-pixel           */
   Word  pcxRowBytes;  /* Bytes per raster line      */
   Word  pcxPalInfo;   /* Palette style              */
   Word  pcxSizeX;     /* Horz screen size (pixels)  */
   Word  pcxSizeY;     /* Vert screen size (pixels)  */
   Byte  pcxfill[54];  /* pad to 128 bytes           */
}  pcxHead;

int  ReadPCXInfo( char *fname, pcxHead *pcxHdr, palData RGBColors[] );
int  ReadPCX( char *fname, rect *sourceR, rect *destR );
int  GetPCX(void* aPcxFileImage, rect* sourceR, rect* destR );
void PCXPalette( palData  * /*PCXPalInfo*/ );
static int CreatePCXBitmap( void );


